Skip to main content

Weather Impact Report

Contents

The Weather Impact Report provides detailed, up-to-date, hyperlocal weather information along a planned route. This information helps transportation companies make safer and smarter routing decisions, and keep their customers informed, by highlighting severe or disruptive weather before a trip begins. It also helps drivers prepare for poor road conditions, and it supports decisions about changing routes or adjusting schedules when needed. The report is available through a Route Reports POST request only. (U.S. and Canada only)

The report, which uses weather data from WeatherOptics, is available as a premium add-on feature.

If you are licensed for Route Path Reports, you can also request an Alternate Routes Report to generate up to three alternate route paths that avoid bad weather.

POST /route/routeReports

Resource URL

https://pcmiler.alk.com/apis/rest/v1.0/Service.svc/route/routeReports

Prerequisites & Limits

  • Your PC*Miler API key must have Weather Impact (Hyperlocal Weather) premium add-on enabled. Contact us to learn more.
  • A departure date/time within the last 24 hours or next 7 days is required. Use the EstimatedTimeOptions object to set a departure date/time. An error is returned if the date is outside this time window.
  • dataVersion must be Current or you will receive an error. Current is the default setting so best practice is to not set a dataVersion when calling a Weather Impact report.
  • Currently supported for single-leg routes only (Stop A → Stop B).
  • Currently only supports U.S. customary units—inches, miles, miles-per-hour (mph), and degrees Fahrenheit.

Use Cases

  • Safety Planning: Identify snow, ice, freezing rain, high winds, fog, or extreme weather before departure.
  • Delay Anticipation: Estimate weather-related slowdowns that can impact schedules.
  • Temperature-Sensitive Load Management: Monitor minimum and maximum temperatures along the route to ensure compliance with cargo requirements.
  • Driver Preparation: Inform drivers of expected weather conditions along the route.
  • Operational Decisions: Decide whether to frontload, proceed, delay, or reroute.
  • Customer Communication: Proactively notify customers of potential delays or reroute decisions that require customer approval.

Concepts

RoadRisk and RoadIndex

RoadRisk (None, Low, Moderate, High, and Critical) and RoadIndex (0 - None to 10 - Critical) describe predicted weather impacts along the entire route (RiskSummary object) or a segment of the route (WeatherImpact object). By default, only events with a risk of 4 and higher are returned.

Segment

A segment is the section of the route where the driver will experience a weather impact. It is described in the WeatherImpact object as the impactRouteLine.

WeatherGrid

Hyperlocal weather is provided by monitoring 3-kilometer square grids. In your report request, you can include the setting IncludeDetails=true to return grid-level details for the route.

Sample Request POST Body

The request supports all of the route options and reporting options in POST Route Reports. In your API request, you must include:

  • WeatherImpactReportType in the ReportTypes array.
  • An EstimatedTimeOptions object with a departure time within the last 24 hours or next 7 days. (UTC time)

You can also include an optional IncludeDetails parameter, which is a boolean value for whether you want to return grid-level weather data. (Default is false.)

{
  "ReportRoutes": [
    {
      "RouteId": "12364",
      "Stops": [
        {
          "Coords": {
            "Lat": 35.96141113799936,
            "Lon": -78.84456840564194
          },
          "Region": 4,
          "Label": "Start-durham",
          "ID": "30302586"
        },
        {
          "Coords": {
            "Lat": 35.78890294951542,
            "Lon": -78.67490587020575
          },
          "Region": 4,
          "Label": "End-west raleigh",
          "ID": "30302587"
        }
      ],
      "Options": {
        "AFSetIDs": [
          -1
        ],
        "BordersOpen": true,
        "HighwayOnly": false,
        "ProfileName": "Heavy Duty Doubles",
        "UseSites": true
      },
      "AssetId": "TestAsset123",
      "ReportingOptions": {
        "UseTraffic": true,
        "EstimatedTimeOptions": {
          "ETAETD": 1,
          "DateOption": 1,
          "DateAndTime": {
            "Timestamp": "2026-01-31T15:40:00+00:00"
          }
        }
      },
      "ReportTypes": [
        {
          "__type": "WeatherImpactReportType:http://pcmiler.alk.com/APIs/v1.0",
          "TimeInSeconds": null,
          "IncludeDetails": true
        }
      ]
    }
  ]
}

Sample Response

[
  {
    "__type": "WeatherImpactReport:http://pcmiler.alk.com/APIs/v1.0",
    "SlowdownSummary": 13.42,
    "RouteID": "12364",
    "DistanceUOM": "miles",
    "TemperatureUOM": "fahrenheit",
    "AssetId": "TestAsset123",
    "PrecipitationUOM": "inches",
    "WeatherSummary": [
      "snow"
    ],
    "RiskSummary": {
      "MaxRoadRisk": "moderate",
      "MaxRoadIndex": 5,
      "MaxCrashRisk": "low",
      "MaxCrashIndex": 2,
      "MaxDisruptionRisk": "low",
      "MaxDisruptionIndex": 3.9,
      "MaxTippingIndex": 0,
      "MaxWindGust": 22.37,
      "MaxWindSpeed": 12.97,
      "MinVisibility": 5.81,
      "MaxTemperature": 21.49,
      "MinTemperature": 19.75
    },
    "WeatherImpact": [
      {
        "lineColor": "yellow",
        "impactRoadRisk": "moderate",
        "maxRoadIndex": 5,
        "impactMaxCrashRisk": "low",
        "impactMaxDisruptionRisk": "low",
        "impactRouteLine": "LINESTRING (-78.844568 35.961411, ... -78.786138 35.842602728787405)",
        "ImpactLength": 7.53,
        "ImpactSummary": [
          "snow"
        ],
        "ImpactMaxWindGust": 20.47,
        "ImpactMaxWindSpeed": 12.97,
        "ImpactMaxPrecipitation": 0.02,
        "ImpactMaxRainfall": 0,
        "ImpactMaxSnowfall": 0.27,
        "ImpactMaxSnowAccumulation": 2.44,
        "ImpactMinVisibility": 6.88,
        "ImpactMaxHeatIndex": 16.05,
        "ImpactMaxTemperature": 20.47,
        "ImpactMinTemperature": 19.75,
        "WeatherAlerts": [],
        "WeatherGrids": [
          {
            "RouteLine": "LINESTRING (-78.844568 35.961411, ... -78.84063418257261 35.954747)",
            "WeatherGridId": 44823709,
            "DistanceToEvent": 0,
            "LastUpdateTime": "2026-01-29T12:00:00+00:00",
            "EstimatedImpactTime": "2026-01-31T15:40:00+00:00",
            "RoadIndex": 5,
            "CrashRisk": "low",
            "CrashIndex": 1,
            "DisruptionRisk": "low",
            "DisruptionIndex": 3.9,
            "FloodIndex": 0,
            "TippingIndex": 0,
            "SpeedReduction": 0.15,
            "WindGust": 20.47,
            "WindSpeed": 12.08,
            "TotalPrecipitation": 0.02,
            "TotalRainfall": 0,
            "TotalSnowfall": 0.24,
            "SnowAccumulation": 2.36,
            "Visibility": 6.96,
            "Temperature": 19.75,
            "HeatIndex": 15.19
          },
          {
            "RouteLine": "LINESTRING (-78.819353 35.93922346142433, ... -78.80349251999999 35.927892)",
            "WeatherGridId": 44812867,
            "DistanceToEvent": 2.18,
            "LastUpdateTime": "2026-01-29T12:00:00+00:00",
            "EstimatedImpactTime": "2026-01-31T15:42:51.7343841+00:00",
            "RoadIndex": 5,
            "CrashRisk": "low",
            "CrashIndex": 1,
            "DisruptionRisk": "low",
            "DisruptionIndex": 3.9,
            "FloodIndex": 0,
            "TippingIndex": 0,
            "SpeedReduction": 0.16,
            "WindGust": 20.47,
            "WindSpeed": 12.53,
            "TotalPrecipitation": 0.02,
            "TotalRainfall": 0,
            "TotalSnowfall": 0.24,
            "SnowAccumulation": 2.44,
            "Visibility": 6.96,
            "Temperature": 19.75,
            "HeatIndex": 15.14
          },
          {
            "RouteLine": "LINESTRING (-78.786127 35.897919751319264, ... -78.819342 35.88668482470119)",
            "WeatherGridId": 44791181,
            "DistanceToEvent": 6.49,
            "LastUpdateTime": "2026-01-29T12:00:00+00:00",
            "EstimatedImpactTime": "2026-01-31T15:48:30.7191332+00:00",
            "RoadIndex": 5,
            "CrashRisk": "low",
            "CrashIndex": 1,
            "DisruptionRisk": "low",
            "DisruptionIndex": 3.9,
            "FloodIndex": 0,
            "TippingIndex": 0,
            "SpeedReduction": 0.12,
            "WindGust": 20.47,
            "WindSpeed": 12.08,
            "TotalPrecipitation": 0.02,
            "TotalSnowfall": 0.27,
            "SnowAccumulation": 2.26,
            "Visibility": 6.92,
            "Temperature": 20.47,
            "HeatIndex": 16.05
          },
          {
            "RouteLine": "LINESTRING (-78.83007538693468 35.874354, ... -78.819336 35.8643708569425)",
            "WeatherGridId": 44780337,
            "DistanceToEvent": 9.68,
            "LastUpdateTime": "2026-01-29T12:00:00+00:00",
            "EstimatedImpactTime": "2026-01-31T15:52:41.6617444+00:00",
            "RoadIndex": 5,
            "CrashRisk": "low",
            "CrashIndex": 1,
            "DisruptionRisk": "low",
            "DisruptionIndex": 3.9,
            "FloodIndex": 0,
            "TippingIndex": 0,
            "SpeedReduction": 0.13,
            "WindGust": 20.47,
            "WindSpeed": 12.97,
            "TotalPrecipitation": 0.02,
            "TotalSnowfall": 0.27,
            "SnowAccumulation": 2.26,
            "Visibility": 6.92,
            "Temperature": 20.11,
            "HeatIndex": 15.65
          },
          {
            "RouteLine": "LINESTRING (-78.819336 35.8643708569425, ... -78.79445754016832 35.847326)",
            "WeatherGridId": 44780338,
            "DistanceToEvent": 10.97,
            "LastUpdateTime": "2026-01-29T12:00:00+00:00",
            "EstimatedImpactTime": "2026-01-31T15:54:23.8725774+00:00",
            "RoadIndex": 5,
            "CrashRisk": "low",
            "CrashIndex": 2,
            "DisruptionRisk": "low",
            "DisruptionIndex": 3.9,
            "FloodIndex": 0,
            "TippingIndex": 0,
            "SpeedReduction": 0.12,
            "WindGust": 20.47,
            "WindSpeed": 12.08,
            "TotalPrecipitation": 0.02,
            "TotalSnowfall": 0.27,
            "SnowAccumulation": 2.38,
            "Visibility": 6.92,
            "Temperature": 20.47,
            "HeatIndex": 16.05
          },
          {
            "RouteLine": "LINESTRING (-78.79472796021422 35.847499, ... -78.786138 35.842602728787405)",
            "WeatherGridId": 44769495,
            "DistanceToEvent": 12.8,
            "LastUpdateTime": "2026-01-29T12:00:00+00:00",
            "EstimatedImpactTime": "2026-01-31T15:56:47.4855901+00:00",
            "RoadIndex": 5,
            "CrashRisk": "low",
            "CrashIndex": 2,
            "DisruptionRisk": "low",
            "DisruptionIndex": 3.9,
            "FloodIndex": 0,
            "TippingIndex": 0,
            "SpeedReduction": 0.12,
            "WindGust": 20.47,
            "WindSpeed": 12.08,
            "TotalPrecipitation": 0.02,
            "TotalSnowfall": 0.27,
            "SnowAccumulation": 2.38,
            "Visibility": 6.88,
            "Temperature": 20.47,
            "HeatIndex": 16.05
          }
        ]
      },
      {
        "lineColor": "yellow",
        "impactRoadRisk": "moderate",
        "maxRoadIndex": 4,
        "impactMaxCrashRisk": "low",
        "impactMaxDisruptionRisk": "low",
        "impactRouteLine": "LINESTRING (-78.74404831601731 35.820643, ... -78.674906 35.788903)",
        "ImpactLength": 2.42,
        "ImpactSummary": [
          "snow"
        ],
        "ImpactMaxWindGust": 22.37,
        "ImpactMaxWindSpeed": 12.83,
        "ImpactMaxPrecipitation": 0.02,
        "ImpactMaxSnowfall": 0.27,
        "ImpactMaxSnowAccumulation": 2.64,
        "ImpactMinVisibility": 5.81,
        "ImpactMaxHeatIndex": 17.1,
        "ImpactMaxTemperature": 21.49,
        "ImpactMinTemperature": 21.49,
        "WeatherAlerts": [],
        "WeatherGrids": [
          {
            "RouteLine": "LINESTRING (-78.74404831601731 35.820643, ... -78.719739 35.806053491099476)",
            "WeatherGridId": 44758654,
            "DistanceToEvent": 16.21,
            "LastUpdateTime": "2026-01-29T12:00:00+00:00",
            "EstimatedImpactTime": "2026-01-31T16:01:16.1636468+00:00",
            "RoadIndex": 4,
            "CrashRisk": "low",
            "CrashIndex": 2,
            "DisruptionRisk": "low",
            "DisruptionIndex": 3.3,
            "FloodIndex": 0,
            "TippingIndex": 0,
            "SpeedReduction": 0.11,
            "WindGust": 22.37,
            "WindSpeed": 12.83,
            "TotalPrecipitation": 0.02,
            "TotalSnowfall": 0.27,
            "SnowAccumulation": 2.64,
            "Visibility": 5.81,
            "Temperature": 21.49,
            "HeatIndex": 17.04
          },
          {
            "RouteLine": "LINESTRING (-78.68525572037916 35.793787, ... -78.674906 35.788903)",
            "WeatherGridId": 44747813,
            "DistanceToEvent": 20.56,
            "LastUpdateTime": "2026-01-29T12:00:00+00:00",
            "EstimatedImpactTime": "2026-01-31T16:06:58.8002054+00:00",
            "RoadIndex": 4,
            "CrashRisk": "low",
            "CrashIndex": 2,
            "DisruptionRisk": "low",
            "DisruptionIndex": 3.3,
            "FloodIndex": 0,
            "TippingIndex": 0,
            "SpeedReduction": 0.11,
            "WindGust": 22.37,
            "WindSpeed": 12.23,
            "TotalPrecipitation": 0.02,
            "TotalSnowfall": 0.27,
            "SnowAccumulation": 2.53,
            "Visibility": 5.81,
            "Temperature": 21.49,
            "HeatIndex": 17.1
          }
        ]
      }
    ],
    "WeatherAlertReferences": []
  }
]

Sample Response Fields

Weather Impact Report

Field Type Description Sample Value
SlowdownSummary double The slowdown summary is the overall percentage that the travel speed is reduced due to a weather-related impact. Example: Route duration is 100 minutes with a slowdownSummary of 1.0. This means 10% of 100 minutes, which equates to 10 minutes of additional delay. 0.0100 to signify 0 to 100%.
RouteID string The route identifier, if included in the request. 12364
DistanceUOM string Units of measure for distance. miles
TemperatureUOM string Units of measure for temperature. fahrenheit
PrecipitationUOM string Units of measure for precipitation. inches
WeatherSummary string[] The weather summary contains any type of weather events that are expected to occur on the route. The events are only listed if they are “True” meaning they are expected to occur. rain, snow, sleet, freezingRain, wind, visibility, extremeWeather, dustStormWarning
RiskSummary object The RiskSummary object provides a high-level overview of how weather is expected to impact the entire route. (See below.)
WeatherImpact array of objects The WeatherImpact object provides the location (segment) and details of a weather event. If multiple contiguous grids that intersect the route include the same level of road risk (Low, Moderate, High, etc.), they are grouped together as a single weatherImpact.
WeatherAlertReferences array of objects This object provides a full description of the NWS alert, identified by its ID.

RiskSummary

A high-level overview of how weather is expected to impact the entire route.

Field Type Description Sample Value
MaxRoadRisk string The highest amount of road risk the driver is expected to encounter on the route. None, Low, Moderate, High, Critical
MaxRoadIndex double The highest value of road risk on the route based on a 0 to 10 scale of severity. It is directly correlated to maxRoadRisk. None = 0. Low = 1-3. Moderate = 4-6. High = 7, 8. Critical = 9, 10 5.0
MaxCrashRisk string The highest recorded risk of having an accident along the entire route: None, Low, Moderate, High, Critical High
MaxCrashIndex double The highest value of recorded accident risk along the entire route. It is directly correlated with maxCrashRisk. 5.0
MaxDisruptionRisk string The highest recorded impact to infrastructure disruption along the route: None, Low, Moderate, High, Critical Moderate
MaxDisruptionIndex double The disruptions weather has or could have on the infrastructure of a location such as utilities, structures, and roadways. It is directly correlated to maxDisruptionRisk. 4.5
MaxTippingIndex double The highest recorded risk of a truck tipover due to wind along the route. On a scale of 0-10. 4.2
MaxWindGust double Maximum wind gust along the entire route in MPH. 50
MaxWindSpeed double Maximum sustained wind speed along the entire route in MPH. 25
MinVisibility double Minimum visibility distance in miles along the entire route. 10.0
MaxTemperature double Maximum temperature in degrees Fahrenheit along the entire route. 65
MinTemperature double Minimum temperature in degrees Fahrenheit along the entire route. 45

WeatherImpact

The location and details of a weather event per segment.

Field Type Description Sample value
lineColor string Recommended color value to display on a map, based on the road risk: Green = None/Low, Yellow = Moderate, Red = High, Black = Critical Yellow
ImpactRoadRisk string The amount of risk recorded in a weather impact event: None, Low, Moderate, High, Critical Low
maxRoadIndex double The highest value of road risk on the route based on a 0 to 10 scale of severity. It is directly correlated to ImpactRoadRisk. None = 0. Low = 1-3. Moderate = 4-6. High = 7, 8. Critical = 9, 10 6.8
ImpactMaxCrashRisk string The crash risk due to a weather impact event: Low, Moderate, High, and Critical. Low
ImpactMaxDisruptionRisk string The disruption to infrastructure risk due to a weather impact event: Low, Moderate, High, and Critical Low
ImpactRouteLine string The geojson formatted linestring that passes through the described impact. "LINESTRING (-89.177173 38.390272062972294, -89.177632 38.390279)"
ImpactLength double The length in miles of a weather-impacted area that the route passes through. 15.6
ImpactSummary string[] The types of weather events for this weather impact area. Rain, Snow, FreezingRain, Wind, Visibility, ExtremeWeather
ImpactMaxTippingIndex double The highest recorded risk of a truck tipover due to wind on a scale of 0-10. 4.5
ImpactMaxWindGust double The max predicted gusts of wind along an impact area in MPH. 35
ImpactMaxWindSpeed double The max predicted sustained wind along an impact area in MPH. 25
ImpactMinVisibility double The minimum visibility in the impact area in miles. 5.5
ImpactMaxTemperature double The maximum temperature in the impact area in degrees Fahrenheit. 65
ImpactMinTemperature double The minimum temperature in the impact area in degrees Fahrenheit. 45
WeatherAlerts array Weather alerts are any alerts issued by the National Weather Service (NWS) that impact the route.
WeatherGrids array The weatherGrids object provides detailed information about each of the individual grids involved in weather notifications. It can be used to pinpoint the weather conditions at a specific location. (Included when IncludeDetails=true is passed in the request.)

WeatherAlertReferences

The details of the National Weather Service (NWS) alert.

Field Type Description Sample
ID string Unique alert identifier
Title string NWS Alert Title "Flood Warning issued May 31 at 9:13PM CDT until June 04 at 3:34AM CDT by NWS"
AlertEvent string NWS Alert type Flood Warning
Summary string NWS Alert description
Severity string Severity level Moderate
Urgency string Urgency level Expected
Certainty string Certainty level Likely
Effective datetime Effective start time 2025-05-31T21:13:00-05:00
Expires datetime Expiration time 2025-05-31T23:13:00-05:00
RouteLine string The full route linestring that passes through the alert.
Polygon string Alert coverage polygon
AreaDesc string Affected area New York
Url string NWS External alert URL

WeatherGrids

The grid-level details of the weather impact.

Field Type Description Sample
RouteLine string The full route linestring that passes through the grid.
WeatherGridId long The provider grid ID. 23452
EstimatedImpactTime datetime Estimated time the driver or asset will intersect with the grid weather event. 2023-12-05T17:53:01+00:00
RoadIndex double The index value of the grid weather event. 5.8
CrashRisk / CrashIndex string / double The crash risk due to the grid weather event: Low, Moderate, High, and Critical. None = 0. Low = 1-3. Moderate = 4-6. High = 7, 8. Critical = 9, 10 5.8
DisruptionRisk / DisruptionIndex string / double The index value of the disruption to infrastructure risk. None = 0. Low = 1-3. Moderate = 4-6. High = 7, 8. Critical = 9, 10
TippingIndex double The highest recorded risk of a truck tipover due to wind along the route on a scale of 0-10. 2.2
SpeedReduction double Speed reduction percentage per grid. 0.17
WindSpeed / WindGust double Max predicted wind and gusts in MPH. 25
TotalPrecipitation double The predicted precipitation in inches. 1.2
Visibility double The minimum visibility in the impact area in miles. 3.0
Temperature double The temperature in the grid area in degrees Fahrenheit. 32
HeatIndex double The maximum heat index (“feels like” temperature) in the impact area in degrees Fahrenheit.
Last updated July 9, 2026.
API Endpoint:

Contents